#ifndef	DEFS
#define	DEFS

/*  character names  */

#define	NUL		'\0'    /*  the null character  */
#define	NEWLINE		'\n'    /*  line feed  */
#define	SP		' '     /*  space  */
#define	BS		'\b'    /*  backspace  */
#define	HT		'\t'    /*  horizontal tab  */
#define	VT		'\013'  /*  vertical tab  */
#define	CR		'\r'    /*  carriage return  */
#define	FF		'\f'    /*  form feed  */
#define	DEL		'\177'  /*  delete  */
#define	QUOTE		'\''    /*  single quote  */
#define	DOUBLE_QUOTE	'\"'    /*  double quote  */
#define	BACKSLASH	'\\'    /*  backslash  */

/*  some character macros  */

#define	IS_NUMERIC(c)	((c) >= '0' && (c) <= '9')
#define	IS_OCTAL(c)	((c) >= '0' && (c) <= '7')
#define	NUMERIC_VALUE(c)	((c) - '0')
#define	PRINTABLE(c)	((c) >= SP && (c) < DEL)

/*  miscellaneous definitions  */

#define	LOCAL		static
#define	NIL(t)		((t *) 0)

#endif
